function r(e2) {
  var t, f, n = "";
  if ("string" == typeof e2 || "number" == typeof e2)
    n += e2;
  else if ("object" == typeof e2)
    if (Array.isArray(e2)) {
      var o = e2.length;
      for (t = 0; t < o; t++)
        e2[t] && (f = r(e2[t])) && (n && (n += " "), n += f);
    } else
      for (f in e2)
        e2[f] && (n && (n += " "), n += f);
  return n;
}
function e() {
  for (var e2, t, f = 0, n = "", o = arguments.length; f < o; f++)
    (e2 = arguments[f]) && (t = r(e2)) && (n && (n += " "), n += t);
  return n;
}
export {
  e as c
};
